%define abi_version 2.0

Name:           gimp-saveforweb-plugin
Version:        0.29.3
Release:        %mkrel 6
Summary:        Save for web plug-in for GIMP
Group:          Graphics/Utilities
License:        GPLv2+
URL:            https://registry.gimp.org/node/33
Source0:        https://registry.gimp.org/files/gimp-save-for-web-%{version}.tar.bz2
Patch0000:      gimp-saveforweb-plugin-fsf.patch
Patch0001:      0001-Changed-all-Save-entries-to-Export-moved-the-menu-item-to-the-Export-subgroup.patch
Patch0002:      0002-Updated-Russian-translation-to-match-the-introduced-changes.patch
Patch0003:      0003-Allow-still-larger-images.patch
Source0004:     gimp3.patch

BuildRequires:  pkgconfig(gimp-2.0)
BuildRequires:  intltool
BuildRequires:  gettext

Requires:       gimp >= 2.4

%description
Save for Web allows to find compromise between minimal file size
and acceptable quality of image quickly. While adjusting various
settings, you may explore how image quality and file size change.
Options to reduce file size of an image include setting compression
quality, number or colors, resizing, cropping, Exif information
removal, etc.

%prep
%setup -q -n gimp-save-for-web-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%find_lang gimp20-save-for-web

%files -f gimp20-save-for-web.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/gimp/%{abi_version}/plug-ins/webexport
%{_datadir}/gimp-save-for-web/


%changelog
* Sun Feb 05 2023 daviddavid <daviddavid> 0.29.3-6.mga9
+ Revision: 1938639
- reintroduce gimp-saveforweb-plugin in mageia (mga#28914)
+ luigiwalser <luigiwalser>
- build with gimp3
- try rebuilding gimp plugin
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.29.3-4.mga8
+ Revision: 1512510
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.29.3-3.mga7
+ Revision: 1297896
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 wally <wally> 0.29.3-2.mga7
+ Revision: 1247551
- fix build on aarch64

* Sun Feb 21 2016 wally <wally> 0.29.3-1.mga6
+ Revision: 975106
- cherry pick interesting patches from github
- imported package gimp-saveforweb-plugin based on .spec from RussianFedora (mga#17705)


* Sat Jul 25 2015 Maxim Orlov <murmansksity@gmail.com> - 0.29.3-2.R
- Fixed incorrect-fsf-address lint error.

* Mon Jul 20 2015 Maxim Orlov <murmansksity@gmail.com> - 0.29.3-1.R
- Initial package.
